export interface IErrors {
    /**
     * Set loading state
     */
    setLoading(state: boolean): void;
    /**
     * Get errors by key
     *
     * @param key
     */
    get(key: string): Array<string>;
    /**
     * Remove errors by key
     *
     * @param keys
     */
    remove(keys: Array<string> | string): void;
    /**
     * Fill errors from HTTP response
     *
     * @param errors
     */
    fill(errors: object | null): void;
    /**
     * Return all errors from list
     */
    all(): object;
    /**
     * Clear all errors from list
     */
    clear(): void;
}
export declare class ErrorsService implements IErrors {
    /**
     * Errors list
     */
    private errors;
    /**
     * Loading state
     */
    loading: boolean;
    /**
     * Errors added event
     */
    private errorsAdded;
    /**
     * Set loading state
     */
    setLoading(state: boolean): void;
    /**
     * Get errors by key
     *
     * @param key
     */
    get(key: string): Array<string>;
    /**
     * Remove errors by key
     *
     * @param keys
     */
    remove(keys: Array<string> | string): void;
    /**
     * Fill errors from HTTP response
     *
     * @param errors
     */
    fill(errors: object | null): void;
    /**
     * Return all errors from list
     */
    all(): object;
    /**
     * Clear all errors from list
     */
    clear(): void;
    /**
     * Create service
     *
     * @returns
     */
    static create(): IErrors;
}
export declare const Errors: IErrors;
